Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos
Interface ZFileConstants

All Known Implementing Classes:
  ZFile

    public interface ZFileConstants

Constants used by `ZFile` and `ZFile` clients

Field Summary
`static java.lang.String` | `DEFAULT_EBCDIC_CODE_PAGE` Note: ZUtil.getDefaultPlatformEncoding() should be used to get the locale-specific EBCDIC default encoding for the current process.
`static int` | `DEVICE_DISK` getDevice() value contants
`static int` | `DEVICE_DUMMY`
`static int` | `DEVICE_HFS`
`static int` | `DEVICE_HIPERSPACE`
`static int` | `DEVICE_MEMORY`
`static int` | `DEVICE_MSGFILE`
`static int` | `DEVICE_OTHER`
`static int` | `DEVICE_PRINTER`
`static int` | `DEVICE_TAPE`
`static int` | `DEVICE_TDQ`
`static int` | `DEVICE_TERMINAL`
`static int` | `DSORG_CONCAT`
`static int` | `DSORG_HFS`
`static int` | `DSORG_HIPER`
`static int` | `DSORG_MEM`
`static int` | `DSORG_PDS_DIR`
`static int` | `DSORG_PDS_MEM`
`static int` | `DSORG_PDSE`
`static int` | `DSORG_PO` getDsorg() constant values (from fldata.__dsorg* )
`static int` | `DSORG_PS`
`static int` | `DSORG_TEMP`
`static int` | `DSORG_VSAM`
`static int` | `LOCATE_KEY_EQ`
`static int` | `LOCATE_KEY_EQ_BWD`
`static int` | `LOCATE_KEY_FIRST`
`static int` | `LOCATE_KEY_GE`
`static int` | `LOCATE_KEY_LAST`
`static int` | `LOCATE_RBA_EQ` locate() option constant values
`static int` | `LOCATE_RBA_EQ_BWD`
`static int` | `MODE_FLAG_APPEND`
`static int` | `MODE_FLAG_READ` getModeFlags() bit mask constants (from fldata.modeflag)
`static int` | `MODE_FLAG_UPDATE`
`static int` | `MODE_FLAG_WRITE`
`static int` | `OPEN_MODE_BINARY`
`static int` | `OPEN_MODE_RECORD`
`static int` | `OPEN_MODE_TEXT` getOpenMode() constants (from fldata._openmode)
`static int` | `RECFM_A`
`static int` | `RECFM_B`
`static int` | `RECFM_F` getRecfmBits() bit mask values (from fldata.__recfm*)
`static int` | `RECFM_M`
`static int` | `RECFM_S`
`static int` | `RECFM_U`
`static int` | `RECFM_V`
`static int` | `S_IRGRP`
`static int` | `S_IROTH`
`static int` | `S_IRUSR`
`static int` | `S_IRWXG`
`static int` | `S_IRWXO`
`static int` | `S_IRWXU`
`static int` | `S_ISGID`
`static int` | `S_ISUID` mkfifo() mode constants
`static int` | `S_ISVTX`
`static int` | `S_IWGRP`
`static int` | `S_IWOTH`
`static int` | `S_IWUSR`
`static int` | `S_IXGRP`
`static int` | `S_IXOTH`
`static int` | `S_IXUSR`
`static int` | `SEEK_CUR`
`static int` | `SEEK_END`
`static int` | `SEEK_SET` seek() option contants
`static int` | `VSAM_TYPE_ESDS`
`static int` | `VSAM_TYPE_ESDS_PATH`
`static int` | `VSAM_TYPE_KSDS`
`static int` | `VSAM_TYPE_KSDS_PATH`
`static int` | `VSAM_TYPE_NOTVSAM` getVsamType() value contants
`static int` | `VSAM_TYPE_RRDS`

Field Detail

### DEFAULT_EBCDIC_CODE_PAGE

    static final java.lang.String DEFAULT_EBCDIC_CODE_PAGE

  Note: ZUtil.getDefaultPlatformEncoding() should be used to get the locale-specific EBCDIC default encoding for the current process.

  See Also:
    Constant Field Values

### RECFM_F

    static final int RECFM_F

  getRecfmBits() bit mask values (from fldata.__recfm*)

  See Also:
    Constant Field Values

### RECFM_V

    static final int RECFM_V

See Also:
  Constant Field Values

### RECFM_U

    static final int RECFM_U

See Also:
  Constant Field Values

### RECFM_B

    static final int RECFM_B

See Also:
  Constant Field Values

### RECFM_S

    static final int RECFM_S

See Also:
  Constant Field Values

### RECFM_M

    static final int RECFM_M

See Also:
  Constant Field Values

### RECFM_A

    static final int RECFM_A

See Also:
  Constant Field Values

### DSORG_PO

    static final int DSORG_PO

  getDsorg() constant values (from fldata.__dsorg* )

  Note: In fldata, PDS_MEM and PDS_DIR have their own bits (2 and 4), but they alway appear in conjunction with PO = 1. For convenience, we define these values with the PO bit set.

  See Also:
    Constant Field Values

### DSORG_PDS_MEM

    static final int DSORG_PDS_MEM

See Also:
  Constant Field Values

### DSORG_PDS_DIR

    static final int DSORG_PDS_DIR

See Also:
  Constant Field Values

### DSORG_PS

    static final int DSORG_PS

See Also:
  Constant Field Values

### DSORG_CONCAT

    static final int DSORG_CONCAT

See Also:
  Constant Field Values

### DSORG_MEM

    static final int DSORG_MEM

See Also:
  Constant Field Values

### DSORG_HIPER

    static final int DSORG_HIPER

See Also:
  Constant Field Values

### DSORG_TEMP

    static final int DSORG_TEMP

See Also:
  Constant Field Values

### DSORG_VSAM

    static final int DSORG_VSAM

See Also:
  Constant Field Values

### DSORG_HFS

    static final int DSORG_HFS

See Also:
  Constant Field Values

### DSORG_PDSE

    static final int DSORG_PDSE

See Also:
  Constant Field Values

### LOCATE_RBA_EQ

    static final int LOCATE_RBA_EQ

  locate() option constant values

  See Also:
    Constant Field Values

### LOCATE_KEY_FIRST

    static final int LOCATE_KEY_FIRST

See Also:
  Constant Field Values

### LOCATE_KEY_LAST

    static final int LOCATE_KEY_LAST

See Also:
  Constant Field Values

### LOCATE_KEY_EQ

    static final int LOCATE_KEY_EQ

See Also:
  Constant Field Values

### LOCATE_KEY_EQ_BWD

    static final int LOCATE_KEY_EQ_BWD

See Also:
  Constant Field Values

### LOCATE_KEY_GE

    static final int LOCATE_KEY_GE

See Also:
  Constant Field Values

### LOCATE_RBA_EQ_BWD

    static final int LOCATE_RBA_EQ_BWD

See Also:
  Constant Field Values

### SEEK_SET

    static final int SEEK_SET

  seek() option contants

  See Also:
    Constant Field Values

### SEEK_CUR

    static final int SEEK_CUR

See Also:
  Constant Field Values

### SEEK_END

    static final int SEEK_END

See Also:
  Constant Field Values

### OPEN_MODE_TEXT

    static final int OPEN_MODE_TEXT

  getOpenMode() constants (from fldata._openmode)

  See Also:
    Constant Field Values

### OPEN_MODE_BINARY

    static final int OPEN_MODE_BINARY

See Also:
  Constant Field Values

### OPEN_MODE_RECORD

    static final int OPEN_MODE_RECORD

See Also:
  Constant Field Values

### MODE_FLAG_READ

    static final int MODE_FLAG_READ

  getModeFlags() bit mask constants (from fldata.modeflag)

  See Also:
    Constant Field Values

### MODE_FLAG_WRITE

    static final int MODE_FLAG_WRITE

See Also:
  Constant Field Values

### MODE_FLAG_APPEND

    static final int MODE_FLAG_APPEND

See Also:
  Constant Field Values

### MODE_FLAG_UPDATE

    static final int MODE_FLAG_UPDATE

See Also:
  Constant Field Values

### DEVICE_DISK

    static final int DEVICE_DISK

  getDevice() value contants

  See Also:
    Constant Field Values

### DEVICE_TERMINAL

    static final int DEVICE_TERMINAL

See Also:
  Constant Field Values

### DEVICE_PRINTER

    static final int DEVICE_PRINTER

See Also:
  Constant Field Values

### DEVICE_TAPE

    static final int DEVICE_TAPE

See Also:
  Constant Field Values

### DEVICE_TDQ

    static final int DEVICE_TDQ

See Also:
  Constant Field Values

### DEVICE_DUMMY

    static final int DEVICE_DUMMY

See Also:
  Constant Field Values

### DEVICE_MSGFILE

    static final int DEVICE_MSGFILE

See Also:
  Constant Field Values

### DEVICE_MEMORY

    static final int DEVICE_MEMORY

See Also:
  Constant Field Values

### DEVICE_HFS

    static final int DEVICE_HFS

See Also:
  Constant Field Values

### DEVICE_HIPERSPACE

    static final int DEVICE_HIPERSPACE

See Also:
  Constant Field Values

### DEVICE_OTHER

    static final int DEVICE_OTHER

See Also:
  Constant Field Values

### VSAM_TYPE_NOTVSAM

    static final int VSAM_TYPE_NOTVSAM

  getVsamType() value contants

  See Also:
    Constant Field Values

### VSAM_TYPE_ESDS

    static final int VSAM_TYPE_ESDS

See Also:
  Constant Field Values

### VSAM_TYPE_KSDS

    static final int VSAM_TYPE_KSDS

See Also:
  Constant Field Values

### VSAM_TYPE_RRDS

    static final int VSAM_TYPE_RRDS

See Also:
  Constant Field Values

### VSAM_TYPE_ESDS_PATH

    static final int VSAM_TYPE_ESDS_PATH

See Also:
  Constant Field Values

### VSAM_TYPE_KSDS_PATH

    static final int VSAM_TYPE_KSDS_PATH

See Also:
  Constant Field Values

### S_ISUID

    static final int S_ISUID

  mkfifo() mode constants

  See Also:
    Constant Field Values

### S_ISGID

    static final int S_ISGID

See Also:
  Constant Field Values

### S_ISVTX

    static final int S_ISVTX

See Also:
  Constant Field Values

### S_IRUSR

    static final int S_IRUSR

See Also:
  Constant Field Values

### S_IWUSR

    static final int S_IWUSR

See Also:
  Constant Field Values

### S_IXUSR

    static final int S_IXUSR

See Also:
  Constant Field Values

### S_IRWXU

    static final int S_IRWXU

See Also:
  Constant Field Values

### S_IRGRP

    static final int S_IRGRP

See Also:
  Constant Field Values

### S_IWGRP

    static final int S_IWGRP

See Also:
  Constant Field Values

### S_IXGRP

    static final int S_IXGRP

See Also:
  Constant Field Values

### S_IRWXG

    static final int S_IRWXG

See Also:
  Constant Field Values

### S_IROTH

    static final int S_IROTH

See Also:
  Constant Field Values

### S_IWOTH

    static final int S_IWOTH

See Also:
  Constant Field Values

### S_IXOTH

    static final int S_IXOTH

See Also:
  Constant Field Values

### S_IRWXO

    static final int S_IRWXO

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD